org.appng.openapi.model

## Class Sort

- java.lang.Object
- - org.appng.openapi.model.Sort

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Sort
      extends Object

  Marks a field as sortable, properties are filled only when sorting has been applied.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Sort.OrderEnum` The order for this sort (ascending or descending).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_ORDER`
    `static String` | `JSON_PROPERTY_PATH_ASC`
    `static String` | `JSON_PROPERTY_PATH_DESC`
    `static String` | `JSON_PROPERTY_PRIO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sort()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Sort.OrderEnum` | `getOrder()` The order for this sort (ascending or descending).
    `String` | `getPathAsc()` the path to sort ascending
    `String` | `getPathDesc()` the path to sort descending
    `Integer` | `getPrio()` The priority for this sort, important when a multi-field sort is applied.
    `int` | `hashCode()`
    `Sort` | `order(Sort.OrderEnum order)`
    `Sort` | `pathAsc(String pathAsc)`
    `Sort` | `pathDesc(String pathDesc)`
    `Sort` | `prio(Integer prio)`
    `void` | `setOrder(Sort.OrderEnum order)`
    `void` | `setPathAsc(String pathAsc)`
    `void` | `setPathDesc(String pathDesc)`
    `void` | `setPrio(Integer prio)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_PRIO

          public static final String JSON_PROPERTY_PRIO

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ORDER

          public static final String JSON_PROPERTY_ORDER

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PATH_ASC

          public static final String JSON_PROPERTY_PATH_ASC

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PATH_DESC

          public static final String JSON_PROPERTY_PATH_DESC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Sort

          public Sort()

  - ### Method Detail

    - #### prio

          public Sort prio(Integer prio)

    - #### getPrio

          @Nullable
          public Integer getPrio()

      The priority for this sort, important when a multi-field sort is applied.
      Returns:
        prio

    - #### setPrio

          public void setPrio(Integer prio)

    - #### order

          public Sort order(Sort.OrderEnum order)

    - #### getOrder

          @Nullable
          public Sort.OrderEnum getOrder()

      The order for this sort (ascending or descending).
      Returns:
        order

    - #### setOrder

          public void setOrder(Sort.OrderEnum order)

    - #### pathAsc

          public Sort pathAsc(String pathAsc)

    - #### getPathAsc

          @Nullable
          public String getPathAsc()

      the path to sort ascending
      Returns:
        pathAsc

    - #### setPathAsc

          public void setPathAsc(String pathAsc)

    - #### pathDesc

          public Sort pathDesc(String pathDesc)

    - #### getPathDesc

          @Nullable
          public String getPathDesc()

      the path to sort descending
      Returns:
        pathDesc

    - #### setPathDesc

          public void setPathDesc(String pathDesc)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.